Bug 1128821 - Add Addon metadata for GNOME Software
Summary: Add Addon metadata for GNOME Software
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim-vimoutliner
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 15:23 UTC by Vít Ondruch
Modified: 2018-03-06 17:31 UTC (History)
2 users (show)

Fixed In Version: vim-vimoutliner-0.4.0-8.fc26 vim-vimoutliner-0.4.0-8.fc27 vim-vimoutliner-0.4.0-8.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-25 20:52:00 UTC


Attachments (Terms of Use)

Description Vít Ondruch 2014-08-11 15:23:50 UTC
It would be nice if vim-outliner is listed as vim plugin in Gnome Software

http://blogs.gnome.org/hughsie/2014/06/11/application-addons-in-gnome-software/

Comment 1 Petr Lautrbach 2014-08-12 18:43:25 UTC
I'm not sure what exactly should be done. I've tried to create a metadata file, see bellow, but nothing has happened, vimoutliner hasn't appeared in software center. But I'm KDE user so the problem might be somewhere else. If you could provide instruction what to do, it would help.

# cat /usr/share/appdata/vim-vimoutliner.metainfo.xml
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Petr Lautrbach <plautrba@redhat.com> -->
<component type="addon">
<id>vim-vimoutliner</id>
<extends>gvim.desktop</extends>
<name>Vimoutliner</name>
<summary>An outline processor</summary>
<url type="homepage">https://github.com/vimoutliner/vimoutliner</url>
<metadata_license>CC0-1.0</metadata_license>
<project_license>GPL-3.0+</project_license>
<updatecontact>plautrba_at_redhat.com</updatecontact>
</component>

Comment 2 Vít Ondruch 2014-08-13 07:43:07 UTC
I don't think that the UI part of Gnome Software is available. But the information should get collected once in a while and they should appear here:

http://alt.fedoraproject.org/pub/alt/screenshots/f21/status.html

Adding Richard on CC, since he'll be able to provide better information then me.

Comment 3 Vít Ondruch 2014-08-14 05:33:29 UTC
Just for the record, vim-command-t and vim-gtk-syntax metadata already appeared in the above mentioned URL, so it does work it seems.

Comment 4 Richard Hughes 2014-08-14 12:13:38 UTC
(In reply to Petr Lautrbach from comment #1)
> I'm not sure what exactly should be done. I've tried to create a metadata
> file, see bellow, but nothing has happened, vimoutliner hasn't appeared in
> software center.

Right. gnome-software can't guess what package created vim-vimoutliner.metainfo.xml and so doesn't know what package to remove, hence it not showing up as removable. You can fudge it for testing (I THINK, UNTESTED) by adding:

<pkgname>vim-vimoutliner</pkgname>

But please don't add this to the file that's shipped in the SRPM for obvious reasons! :)

> # cat /usr/share/appdata/vim-vimoutliner.metainfo.xml

Installing that in the srpm and doing a build for Fedora will make it magically show up in the metadata in a day-or-so's time.

Richard

Comment 5 Fedora End Of Life 2015-11-04 15:15:41 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Jan Kurik 2016-02-24 13:15:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 7 Fedora End Of Life 2017-07-25 18:41:44 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Vít Ondruch 2017-07-26 08:42:42 UTC
This was not resolved yet if I am not mistaken.

Comment 9 Fedora Update System 2018-02-16 19:14:52 UTC
vim-vimoutliner-0.4.0-8.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-3c27a78d2b

Comment 10 Fedora Update System 2018-02-16 19:15:00 UTC
vim-vimoutliner-0.4.0-8.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3250478525

Comment 11 Fedora Update System 2018-02-16 19:15:06 UTC
vim-vimoutliner-0.4.0-8.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-db1a856199

Comment 12 Fedora Update System 2018-02-17 22:29:45 UTC
vim-vimoutliner-0.4.0-8.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-3c27a78d2b

Comment 13 Fedora Update System 2018-02-17 22:42:16 UTC
vim-vimoutliner-0.4.0-8.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-db1a856199

Comment 14 Fedora Update System 2018-02-17 23:12:58 UTC
vim-vimoutliner-0.4.0-8.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3250478525

Comment 15 Fedora Update System 2018-02-25 20:52:00 UTC
vim-vimoutliner-0.4.0-8.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-02-25 21:13:50 UTC
vim-vimoutliner-0.4.0-8.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-03-06 17:31:08 UTC
vim-vimoutliner-0.4.0-8.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.